New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

pip 18.1 causes "TypeError: 'module' object is not callable" #2924

Closed
rafaelcaricio opened this Issue Oct 5, 2018 · 56 comments

Comments

Projects
None yet
@rafaelcaricio

rafaelcaricio commented Oct 5, 2018

Be sure to check the existing issues (both open and closed!), and make sure you are running the latest version of Pipenv.

Check the diagnose documentation for common issues before posting! We may close your issue if it is very similar to one of them. Please be considerate, or be on your way.

Make sure to mention your debugging experience if the documented solution failed.

Issue description

New version of pip breaks pipenv, exactly on this line

_strip_extras = pip_import("_strip_extras", "req.req_install._strip_extras", "7", "9999")

Expected result

The _strip_extras not be a module.

Actual result
...
 File "/opt/myproj/.tox/py36/lib/python3.6/site-packages/pipenv/vendor/requirementslib/models/requirements.py", line 704, in from_line

    line, extras = _strip_extras(line)

TypeError: 'module' object is not callable
Steps to replicate

Provide the steps to replicate (which usually at least includes the commands and the Pipfile).


Please run $ pipenv --support, and paste the results here. Don't put backticks (`) around it! The output already contains Markdown formatting.

If you're on macOS, run the following:

$ pipenv --support | pbcopy

If you're on Windows, run the following:

> pipenv --support | clip

If you're on Linux, run the following:

$ pipenv --support | xclip
@uranusjr

This comment has been minimized.

Member

uranusjr commented Oct 5, 2018

Tracked in upstream repo (referenced above).

@uranusjr

This comment has been minimized.

Member

uranusjr commented Oct 5, 2018

On second thought, I’m going to keep this open so people don’t open duplicates.

@uranusjr uranusjr reopened this Oct 5, 2018

@uranusjr uranusjr changed the title from New version of pip (18.1) breaks pipenv to pip 18.1 causes "TypeError: 'module' object is not callable" Oct 5, 2018

whyscream added a commit to fourdigits/mollie-api-python that referenced this issue Oct 5, 2018

@nikovitto

This comment has been minimized.

nikovitto commented Oct 5, 2018

Same problem here. See attach log.
pipenverror.log

@mbarneyjr

This comment has been minimized.

mbarneyjr commented Oct 5, 2018

Same problem here

$ pipenv --support

Pipenv version: '2018.7.1'

Pipenv location: '/Users/mbarney/.pyenv/versions/3.6.6/lib/python3.6/site-packages/pipenv'

Python location: '/Users/mbarney/.pyenv/versions/3.6.6/bin/python3.6'

Other Python installations in PATH:

  • 2.7: /usr/bin/python2.7

  • 2.7: /Users/mbarney/.pyenv/shims/python2.7

  • 2.7: /Users/mbarney/.pyenv/shims/python2.7

  • 2.7: /usr/bin/python2.7

  • 2.7: /Users/mbarney/.pyenv/shims/python2.7

  • 3.6: /Users/mbarney/.pyenv/versions/3.6.6/bin/python3.6m

  • 3.6: /Users/mbarney/.pyenv/versions/3.6.6/bin/python3.6

  • 3.6: /Users/mbarney/.pyenv/shims/python3.6

  • 3.6: /Users/mbarney/.pyenv/shims/python3.6

  • 3.6: /Users/mbarney/.pyenv/shims/python3.6

  • 3.6.6: /Users/mbarney/.pyenv/versions/3.6.6/bin/python

  • 3.6.6: /Users/mbarney/.pyenv/shims/python

  • 3.6.6: /Users/mbarney/.pyenv/shims/python

  • 2.7.10: /usr/bin/python

  • 3.6.6: /Users/mbarney/.pyenv/shims/python

  • None: /Users/mbarney/.pyenv/shims/python2

  • None: /Users/mbarney/.pyenv/shims/python2

  • None: /Users/mbarney/.pyenv/shims/python2

  • 3.6.6: /Users/mbarney/.pyenv/versions/3.6.6/bin/python3

  • 3.6.6: /Users/mbarney/.pyenv/shims/python3

  • 3.6.6: /Users/mbarney/.pyenv/shims/python3

  • 3.6.6: /Users/mbarney/.pyenv/shims/python3

PEP 508 Information:

{'implementation_name': 'cpython',
 'implementation_version': '3.6.6',
 'os_name': 'posix',
 'platform_machine': 'x86_64',
 'platform_python_implementation': 'CPython',
 'platform_release': '17.7.0',
 'platform_system': 'Darwin',
 'platform_version': 'Darwin Kernel Version 17.7.0: Thu Jun 21 22:53:14 PDT '
                     '2018; root:xnu-4570.71.2~1/RELEASE_X86_64',
 'python_full_version': '3.6.6',
 'python_version': '3.6',
 'sys_platform': 'darwin'}

System environment variables:

  • TERM_PROGRAM
  • PYENV_ROOT
  • NVM_CD_FLAGS
  • TERM
  • SHELL
  • TMPDIR
  • Apple_PubSub_Socket_Render
  • TERM_PROGRAM_VERSION
  • TERM_SESSION_ID
  • PYENV_VERSION
  • USER
  • NVM_DIR
  • SSH_AUTH_SOCK
  • PYENV_DIR
  • __CF_USER_TEXT_ENCODING
  • PATH
  • PWD
  • LANG
  • PYENV_HOOK_PATH
  • XPC_FLAGS
  • XPC_SERVICE_NAME
  • HOME
  • SHLVL
  • PYENV_SHELL
  • LOGNAME
  • NVM_BIN
  • PYTHONDONTWRITEBYTECODE
  • PIP_PYTHON_PATH

Pipenv–specific environment variables:

Debug–specific environment variables:

  • PATH: /Users/mbarney/.pyenv/versions/3.6.6/bin:/usr/local/Cellar/pyenv/1.2.7/libexec:/Users/mbarney/.pyenv/shims:/Users/mbarney/.pyenv/shims:/Users/mbarney/.pyenv/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/Users/mbarney/.pyenv/shims:/Users/mbarney/.pyenv/bin:/Users/mbarney/.nvm/versions/node/v8.11.4/bin
  • SHELL: /bin/bash
  • LANG: en_US.UTF-8
  • PWD: /Users/mbarney/dev/trek10/github/awsume/source

Contents of Pipfile ('/Users/mbarney/dev/trek10/github/awsume/source/Pipfile'):

[[source]]
url = "https://pypi.python.org/simple"
verify_ssl = true
name = "pypi"

[dev-packages]

[packages]
pytest = "*"
pytest-cov = "*"
mock = "*"
python-dateutil = "*"
"boto3" = "*"
psutil = "*"
yapsy = "*"
future = "*"
pylint = "*"
colorama = "*"
@Froskekongen

This comment has been minimized.

Froskekongen commented Oct 5, 2018

This is extremely aggravating. Can you please try to coordinate releases of pip and pipenv?

whyscream added a commit to fourdigits/mollie-api-python that referenced this issue Oct 5, 2018

@nealedj

This comment has been minimized.

nealedj commented Oct 5, 2018

Workaround for typical virtualenv setup:

pip install pipenv
pipenv run pip install pip==18.0
pipenv install
@techalchemy

This comment has been minimized.

Member

techalchemy commented Oct 5, 2018

Hmm is this actually moved?

@uranusjr

This comment has been minimized.

Member

uranusjr commented Oct 5, 2018

@Froskekongen Please try to avoid non-constructive messages. We understand this is frustrating, but interrogation doesn’t help. If you feel we need to improve, consider offering help instead of shouting at the sideline. “We” (whoever you are referring to) are always short of resources, and would gladly use your help.

@pfwnicks

This comment has been minimized.

pfwnicks commented Oct 5, 2018

same issue here but only for new pipenv environments, installs still work on the old ones as I have not updated to the newest pip in there.

@nealedj suggestion worked

#2924 (comment)

@allen-fisher-spok

This comment has been minimized.

allen-fisher-spok commented Oct 5, 2018

I'm seeing this issue as well. @nealedj 's suggestion worked correctly, although if you're working around this in a build environment that already has pipenv installed, you don't need to re-install pipenv. Only lines 2 and 3 of his workaround are needed.

@bweigel

This comment has been minimized.

bweigel commented Oct 5, 2018

same issue

$ pipenv --support

Pipenv version: '2018.7.1'

Pipenv location: '/home/bweigel/.local/anaconda/lib/python3.6/site-packages/pipenv'

Python location: '/home/bweigel/.local/anaconda/bin/python'

Other Python installations in PATH:

  • 2.7: /usr/bin/python2.7

  • 2.7: /usr/bin/python2.7

  • 3.4: /home/bweigel/.local/bin/python3.4

  • 3.4: /home/bweigel/.local/bin/python3.4

  • 3.6: /home/bweigel/.local/anaconda/bin/python3.6m

  • 3.6: /home/bweigel/.local/anaconda/bin/python3.6

  • 3.6: /usr/bin/python3.6

  • 3.6.3: /home/bweigel/.local/anaconda/bin/python

  • 3.6.3: /home/bweigel/.pyenv/shims/python

  • 2.7.15: /usr/bin/python

  • 2.7.15: /usr/bin/python2

  • 3.6.3: /home/bweigel/.local/anaconda/bin/python3

  • 3.6.3: /home/bweigel/.pyenv/shims/python3

  • 3.6.6: /usr/bin/python3

PEP 508 Information:

{'implementation_name': 'cpython',
 'implementation_version': '3.6.3',
 'os_name': 'posix',
 'platform_machine': 'x86_64',
 'platform_python_implementation': 'CPython',
 'platform_release': '4.15.0-36-generic',
 'platform_system': 'Linux',
 'platform_version': '#39-Ubuntu SMP Mon Sep 24 16:19:09 UTC 2018',
 'python_full_version': '3.6.3',
 'python_version': '3.6',
 'sys_platform': 'linux'}

System environment variables:

  • CLUTTER_IM_MODULE
  • LS_COLORS
  • LC_MEASUREMENT
  • LESSCLOSE
  • LC_PAPER
  • LC_MONETARY
  • TERMINATOR_UUID
  • XDG_MENU_PREFIX
  • HADOOP_HOME
  • LANG
  • DISPLAY
  • OLDPWD
  • __GIT_PROMPT_SHOW_UPSTREAM
  • GNOME_SHELL_SESSION_MODE
  • COLORTERM
  • DESKTOP_AUTOSTART_ID
  • USERNAME
  • PYENV_VIRTUALENV_INIT
  • JAVA_HOME
  • XDG_VTNR
  • GIO_LAUNCHED_DESKTOP_FILE_PID
  • SSH_AUTH_SOCK
  • MANDATORY_PATH
  • LC_NAME
  • XDG_SESSION_ID
  • USER
  • DESKTOP_SESSION
  • QT4_IM_MODULE
  • TEXTDOMAINDIR
  • DEFAULTS_PATH
  • PWD
  • HOME
  • __GIT_PROMPT_IGNORE_SUBMODULES
  • TEXTDOMAIN
  • __GIT_PROMPT_IGNORE_STASH
  • SSH_AGENT_PID
  • __GIT_PROMPT_SHOW_UNTRACKED_FILES
  • QT_ACCESSIBILITY
  • XDG_SESSION_TYPE
  • XDG_DATA_DIRS
  • TERMINATOR_DBUS_NAME
  • HADOOP_CONF_DIR
  • XDG_SESSION_DESKTOP
  • LC_ADDRESS
  • SPARK_HOME
  • LC_NUMERIC
  • GTK_MODULES
  • TERMINATOR_DBUS_PATH
  • __GIT_PROMPT_SHOW_CHANGED_FILES_COUNT
  • WINDOWPATH
  • TERM
  • VTE_VERSION
  • SHELL
  • QT_IM_MODULE
  • XMODIFIERS
  • IM_CONFIG_PHASE
  • XDG_CURRENT_DESKTOP
  • GPG_AGENT_INFO
  • GIO_LAUNCHED_DESKTOP_FILE
  • SHLVL
  • PYENV_SHELL
  • XDG_SEAT
  • GIT_BRANCH
  • PYTHONPATH
  • LC_TELEPHONE
  • GDMSESSION
  • GNOME_DESKTOP_SESSION_ID
  • LOGNAME
  • DBUS_SESSION_BUS_ADDRESS
  • XDG_RUNTIME_DIR
  • XAUTHORITY
  • PYSPARK_PYTHON
  • XDG_CONFIG_DIRS
  • PATH
  • LC_IDENTIFICATION
  • SESSION_MANAGER
  • LESSOPEN
  • GTK_IM_MODULE
  • LC_TIME
  • _
  • PYTHONDONTWRITEBYTECODE
  • PIP_PYTHON_PATH

Pipenv–specific environment variables:

Debug–specific environment variables:

  • PATH: /home/bweigel/.local/anaconda/bin:/home/bweigel/.local/bin:/opt/spark/bin:/opt/spark/sbin:/opt/hadoop/bin:/opt/java/bin:/home/bweigel/.local/share/virtualenvs/:/home/bweigel/.pyenv/plugins/pyenv-virtualenv/shims:/home/bweigel/.pyenv/shims:/home/bweigel/.pyenv/bin:/opt/node/bin:/usr/local/cuda/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin
  • SHELL: /bin/bash
  • LANG: en_US.UTF-8
  • PWD: /home/bweigel/Projects/Europace/europace-datalake-und-warehouse/redshift-connector/lambdas

Contents of Pipfile ('/home/bweigel/Projects/Europace/europace-datalake-und-warehouse/redshift-connector/lambdas/Pipfile'):

[[source]]
url = "https://pypi.python.org/simple"
verify_ssl = true

[dev-packages]
flake8 = "*"
tox = "*"
coverage = "*"
pytest = "*"
pytest-runner = "*"
boto3 = "*"
yamllint = "*"

[packages]
requests = "*"

Contents of Pipfile.lock ('/home/bweigel/Projects/Europace/europace-datalake-und-warehouse/redshift-connector/lambdas/Pipfile.lock'):

{
    "_meta": {
        "hash": {
            "sha256": "5a39741a457566ba5452a0423519fa1c3d1f356df1549449095e28d6c0d3fa89"
        },
        "pipfile-spec": 6,
        "requires": {},
        "sources": [
            {
                "url": "https://pypi.python.org/simple",
                "verify_ssl": true
            }
        ]
    },
    "default": {
        "certifi": {
            "hashes": [
                "sha256:376690d6f16d32f9d1fe8932551d80b23e9d393a8578c5633a2ed39a64861638",
                "sha256:456048c7e371c089d0a77a5212fb37a2c2dce1e24146e3b7e0261736aaeaa22a"
            ],
            "version": "==2018.8.24"
        },
        "chardet": {
            "hashes": [
                "sha256:84ab92ed1c4d4f16916e05906b6b75a6c0fb5db821cc65e70cbd64a3e2a5eaae",
                "sha256:fc323ffcaeaed0e0a02bf4d117757b98aed530d9ed4531e3e15460124c106691"
            ],
            "version": "==3.0.4"
        },
        "idna": {
            "hashes": [
                "sha256:156a6814fb5ac1fc6850fb002e0852d56c0c8d2531923a51032d1b70760e186e",
                "sha256:684a38a6f903c1d71d6d5fac066b58d7768af4de2b832e426ec79c30daa94a16"
            ],
            "version": "==2.7"
        },
        "requests": {
            "hashes": [
                "sha256:63b52e3c866428a224f97cab011de738c36aec0185aa91cfacd418b5d58911d1",
                "sha256:ec22d826a36ed72a7358ff3fe56cbd4ba69dd7a6718ffd450ff0e9df7a47ce6a"
            ],
            "version": "==2.19.1"
        },
        "urllib3": {
            "hashes": [
                "sha256:a68ac5e15e76e7e5dd2b8f94007233e01effe3e50e8daddf69acfd81cb686baf",
                "sha256:b5725a0bd4ba422ab0e66e89e030c806576753ea3ee08554382c14e685d117b5"
            ],
            "version": "==1.23"
        }
    },
    "develop": {
        "argh": {
            "hashes": [
                "sha256:a9b3aaa1904eeb78e32394cd46c6f37ac0fb4af6dc488daa58971bdc7d7fcaf3",
                "sha256:e9535b8c84dc9571a48999094fda7f33e63c3f1b74f3e5f3ac0105a58405bb65"
            ],
            "version": "==0.26.2"
        },
        "atomicwrites": {
            "hashes": [
                "sha256:0312ad34fcad8fac3704d441f7b317e50af620823353ec657a53e981f92920c0",
                "sha256:ec9ae8adaae229e4f8446952d204a3e4b5fdd2d099f9be3aaf556120135fb3ee"
            ],
            "markers": "python_version != '3.2.*' and python_version != '3.3.*' and python_version != '3.0.*' and python_version != '3.1.*' and python_version >= '2.7'",
            "version": "==1.2.1"
        },
        "attrs": {
            "hashes": [
                "sha256:10cbf6e27dbce8c30807caf056c8eb50917e0eaafe86347671b57254006c3e69",
                "sha256:ca4be454458f9dec299268d472aaa5a11f67a4ff70093396e1ceae9c76cf4bbb"
            ],
            "version": "==18.2.0"
        },
        "bleach": {
            "hashes": [
                "sha256:9c471c0dd9c820f6bf4ee5ca3e348ceccefbc1475d9a40c397ed5d04e0b42c54",
                "sha256:b407b2612b37e6cdc6704f84cec18c1f140b78e6c625652a844e89d6b9855f6b"
            ],
            "version": "==3.0.0"
        },
        "boto3": {
            "hashes": [
                "sha256:b32bdfd9f061ac7c367e91f94666153e443f745221c4d55da344ed2bbe88cffc",
                "sha256:bf0f8dcae2505e90690546bd9f0a842c5def7809b9506fa903493ae2023f058e"
            ],
            "version": "==1.9.17"
        },
        "botocore": {
            "hashes": [
                "sha256:880f804c49710566667a2c4b63e74d766eb596ff860090cc4ca9f899078cfaed",
                "sha256:e394c807f859c19ad9449c1edceb0e3bdc4bd0588ae7efe8d4e356aebef35c3b"
            ],
            "version": "==1.12.17"
        },
        "bumpversion": {
            "hashes": [
                "sha256:6744c873dd7aafc24453d8b6a1a0d6d109faf63cd0cd19cb78fd46e74932c77e",
                "sha256:6753d9ff3552013e2130f7bc03c1007e24473b4835952679653fb132367bdd57"
            ],
            "version": "==0.5.3"
        },
        "certifi": {
            "hashes": [
                "sha256:376690d6f16d32f9d1fe8932551d80b23e9d393a8578c5633a2ed39a64861638",
                "sha256:456048c7e371c089d0a77a5212fb37a2c2dce1e24146e3b7e0261736aaeaa22a"
            ],
            "version": "==2018.8.24"
        },
        "cffi": {
            "hashes": [
                "sha256:151b7eefd035c56b2b2e1eb9963c90c6302dc15fbd8c1c0a83a163ff2c7d7743",
                "sha256:1553d1e99f035ace1c0544050622b7bc963374a00c467edafac50ad7bd276aef",
                "sha256:1b0493c091a1898f1136e3f4f991a784437fac3673780ff9de3bcf46c80b6b50",
                "sha256:2ba8a45822b7aee805ab49abfe7eec16b90587f7f26df20c71dd89e45a97076f",
                "sha256:3bb6bd7266598f318063e584378b8e27c67de998a43362e8fce664c54ee52d30",
                "sha256:3c85641778460581c42924384f5e68076d724ceac0f267d66c757f7535069c93",
                "sha256:3eb6434197633b7748cea30bf0ba9f66727cdce45117a712b29a443943733257",
                "sha256:495c5c2d43bf6cebe0178eb3e88f9c4aa48d8934aa6e3cddb865c058da76756b",
                "sha256:4c91af6e967c2015729d3e69c2e51d92f9898c330d6a851bf8f121236f3defd3",
                "sha256:57b2533356cb2d8fac1555815929f7f5f14d68ac77b085d2326b571310f34f6e",
                "sha256:770f3782b31f50b68627e22f91cb182c48c47c02eb405fd689472aa7b7aa16dc",
                "sha256:79f9b6f7c46ae1f8ded75f68cf8ad50e5729ed4d590c74840471fc2823457d04",
                "sha256:7a33145e04d44ce95bcd71e522b478d282ad0eafaf34fe1ec5bbd73e662f22b6",
                "sha256:857959354ae3a6fa3da6651b966d13b0a8bed6bbc87a0de7b38a549db1d2a359",
                "sha256:87f37fe5130574ff76c17cab61e7d2538a16f843bb7bca8ebbc4b12de3078596",
                "sha256:95d5251e4b5ca00061f9d9f3d6fe537247e145a8524ae9fd30a2f8fbce993b5b",
                "sha256:9d1d3e63a4afdc29bd76ce6aa9d58c771cd1599fbba8cf5057e7860b203710dd",
                "sha256:a36c5c154f9d42ec176e6e620cb0dd275744aa1d804786a71ac37dc3661a5e95",
                "sha256:a6a5cb8809091ec9ac03edde9304b3ad82ad4466333432b16d78ef40e0cce0d5",
                "sha256:ae5e35a2c189d397b91034642cb0eab0e346f776ec2eb44a49a459e6615d6e2e",
                "sha256:b0f7d4a3df8f06cf49f9f121bead236e328074de6449866515cea4907bbc63d6",
                "sha256:b75110fb114fa366b29a027d0c9be3709579602ae111ff61674d28c93606acca",
                "sha256:ba5e697569f84b13640c9e193170e89c13c6244c24400fc57e88724ef610cd31",
                "sha256:be2a9b390f77fd7676d80bc3cdc4f8edb940d8c198ed2d8c0be1319018c778e1",
                "sha256:ca1bd81f40adc59011f58159e4aa6445fc585a32bb8ac9badf7a2c1aa23822f2",
                "sha256:d5d8555d9bfc3f02385c1c37e9f998e2011f0db4f90e250e5bc0c0a85a813085",
                "sha256:e55e22ac0a30023426564b1059b035973ec82186ddddbac867078435801c7801",
                "sha256:e90f17980e6ab0f3c2f3730e56d1fe9bcba1891eeea58966e89d352492cc74f4",
                "sha256:ecbb7b01409e9b782df5ded849c178a0aa7c906cf8c5a67368047daab282b184",
                "sha256:ed01918d545a38998bfa5902c7c00e0fee90e957ce036a4000a88e3fe2264917",
                "sha256:edabd457cd23a02965166026fd9bfd196f4324fe6032e866d0f3bd0301cd486f",
                "sha256:fdf1c1dc5bafc32bc5d08b054f94d659422b05aba244d6be4ddc1c72d9aa70fb"
            ],
            "version": "==1.11.5"
        },
        "chardet": {
            "hashes": [
                "sha256:84ab92ed1c4d4f16916e05906b6b75a6c0fb5db821cc65e70cbd64a3e2a5eaae",
                "sha256:fc323ffcaeaed0e0a02bf4d117757b98aed530d9ed4531e3e15460124c106691"
            ],
            "version": "==3.0.4"
        },
        "cmarkgfm": {
            "hashes": [
                "sha256:0186dccca79483e3405217993b83b914ba4559fe9a8396efc4eea56561b74061",
                "sha256:1a625afc6f62da428df96ec325dc30866cc5781520cbd904ff4ec44cf018171c",
                "sha256:207b7673ff4e177374c572feeae0e4ef33be620ec9171c08fd22e2b796e03e3d",
                "sha256:275905bb371a99285c74931700db3f0c078e7603bed383e8cf1a09f3ee05a3de",
                "sha256:50098f1c4950722521f0671e54139e0edc1837d63c990cf0f3d2c49607bb51a2",
                "sha256:50ed116d0b60a07df0dc7b180c28569064b9d37d1578d4c9021cff04d725cb63",
                "sha256:61a72def110eed903cd1848245897bcb80d295cd9d13944d4f9f30cba5b76655",
                "sha256:64186fb75d973a06df0e6ea12879533b71f6e7ba1ab01ffee7fc3e7534758889",
                "sha256:665303d34d7f14f10d7b0651082f25ebf7107f29ef3d699490cac16cdc0fc8ce",
                "sha256:70b18f843aec58e4e64aadce48a897fe7c50426718b7753aaee399e72df64190",
                "sha256:761ee7b04d1caee2931344ac6bfebf37102ffb203b136b676b0a71a3f0ea3c87",
                "sha256:811527e9b7280b136734ed6cb6845e5fbccaeaa132ddf45f0246cbe544016957",
                "sha256:987b0e157f70c72a84f3c2f9ef2d7ab0f26c08f2bf326c12c087ff9eebcb3ff5",
                "sha256:9fc6a2183d0a9b0974ec7cdcdad42bd78a3be674cc3e65f87dd694419b3b0ab7",
                "sha256:a3d17ee4ae739fe16f7501a52255c2e287ac817cfd88565b9859f70520afffea",
                "sha256:ba5b5488719c0f2ced0aa1986376f7baff1a1653a8eb5fdfcf3f84c7ce46ef8d",
                "sha256:c573ea89dd95d41b6d8cf36799c34b6d5b1eac4aed0212dee0f0a11fb7b01e8f",
                "sha256:c5f1b9e8592d2c448c44e6bc0d91224b16ea5f8293908b1561de1f6d2d0658b1",
                "sha256:cbe581456357d8f0674d6a590b1aaf46c11d01dd0a23af147a51a798c3818034",
                "sha256:cf219bec69e601fe27e3974b7307d2f06082ab385d42752738ad2eb630a47d65",
                "sha256:cf5014eb214d814a83a7a47407272d5db10b719dbeaf4d3cfe5969309d0fcf4b",
                "sha256:d08bad67fa18f7e8ff738c090628ee0cbf0505d74a991c848d6d04abfe67b697",
                "sha256:d6f716d7b1182bf35862b5065112f933f43dd1aa4f8097c9bcfb246f71528a34",
                "sha256:e08e479102627641c7cb4ece421c6ed4124820b1758765db32201136762282d9",
                "sha256:e20ac21418af0298437d29599f7851915497ce9f2866bc8e86b084d8911ee061",
                "sha256:e25f53c37e319241b9a412382140dffac98ca756ba8f360ac7ab5e30cad9670a",
                "sha256:e8932bddf159064f04e946fbb64693753488de21586f20e840b3be51745c8c09",
                "sha256:f20900f16377f2109783ae9348d34bc80530808439591c3d3df73d5c7ef1a00c"
            ],
            "markers": "python_version != '3.0.*' and python_version != '3.2.*' and python_version != '3.1.*' and python_version != '3.3.*' and python_version >= '2.7'",
            "version": "==0.4.2"
        },
        "coverage": {
            "hashes": [
                "sha256:03481e81d558d30d230bc12999e3edffe392d244349a90f4ef9b88425fac74ba",
                "sha256:0b136648de27201056c1869a6c0d4e23f464750fd9a9ba9750b8336a244429ed",
                "sha256:10a46017fef60e16694a30627319f38a2b9b52e90182dddb6e37dcdab0f4bf95",
                "sha256:198626739a79b09fa0a2f06e083ffd12eb55449b5f8bfdbeed1df4910b2ca640",
                "sha256:23d341cdd4a0371820eb2b0bd6b88f5003a7438bbedb33688cd33b8eae59affd",
                "sha256:28b2191e7283f4f3568962e373b47ef7f0392993bb6660d079c62bd50fe9d162",
                "sha256:2a5b73210bad5279ddb558d9a2bfedc7f4bf6ad7f3c988641d83c40293deaec1",
                "sha256:2eb564bbf7816a9d68dd3369a510be3327f1c618d2357fa6b1216994c2e3d508",
                "sha256:337ded681dd2ef9ca04ef5d93cfc87e52e09db2594c296b4a0a3662cb1b41249",
                "sha256:3a2184c6d797a125dca8367878d3b9a178b6fdd05fdc2d35d758c3006a1cd694",
                "sha256:3c79a6f7b95751cdebcd9037e4d06f8d5a9b60e4ed0cd231342aa8ad7124882a",
                "sha256:3d72c20bd105022d29b14a7d628462ebdc61de2f303322c0212a054352f3b287",
                "sha256:3eb42bf89a6be7deb64116dd1cc4b08171734d721e7a7e57ad64cc4ef29ed2f1",
                "sha256:4635a184d0bbe537aa185a34193898eee409332a8ccb27eea36f262566585000",
                "sha256:56e448f051a201c5ebbaa86a5efd0ca90d327204d8b059ab25ad0f35fbfd79f1",
                "sha256:5a13ea7911ff5e1796b6d5e4fbbf6952381a611209b736d48e675c2756f3f74e",
                "sha256:69bf008a06b76619d3c3f3b1983f5145c75a305a0fea513aca094cae5c40a8f5",
                "sha256:6bc583dc18d5979dc0f6cec26a8603129de0304d5ae1f17e57a12834e7235062",
                "sha256:701cd6093d63e6b8ad7009d8a92425428bc4d6e7ab8d75efbb665c806c1d79ba",
                "sha256:7608a3dd5d73cb06c531b8925e0ef8d3de31fed2544a7de6c63960a1e73ea4bc",
                "sha256:76ecd006d1d8f739430ec50cc872889af1f9c1b6b8f48e29941814b09b0fd3cc",
                "sha256:7aa36d2b844a3e4a4b356708d79fd2c260281a7390d678a10b91ca595ddc9e99",
                "sha256:7d3f553904b0c5c016d1dad058a7554c7ac4c91a789fca496e7d8347ad040653",
                "sha256:7e1fe19bd6dce69d9fd159d8e4a80a8f52101380d5d3a4d374b6d3eae0e5de9c",
                "sha256:8c3cb8c35ec4d9506979b4cf90ee9918bc2e49f84189d9bf5c36c0c1119c6558",
                "sha256:9d6dd10d49e01571bf6e147d3b505141ffc093a06756c60b053a859cb2128b1f",
                "sha256:be6cfcd8053d13f5f5eeb284aa8a814220c3da1b0078fa859011c7fffd86dab9",
                "sha256:c1bb572fab8208c400adaf06a8133ac0712179a334c09224fb11393e920abcdd",
                "sha256:de4418dadaa1c01d497e539210cb6baa015965526ff5afc078c57ca69160108d",
                "sha256:e05cb4d9aad6233d67e0541caa7e511fa4047ed7750ec2510d466e806e0255d6",
                "sha256:f3f501f345f24383c0000395b26b726e46758b71393267aeae0bd36f8b3ade80"
            ],
            "version": "==4.5.1"
        },
        "docutils": {
            "hashes": [
                "sha256:02aec4bd92ab067f6ff27a38a38a41173bf01bed8f89157768c1573f53e474a6",
                "sha256:51e64ef2ebfb29cae1faa133b3710143496eca21c530f3f71424d77687764274",
                "sha256:7a4bd47eaf6596e1295ecb11361139febe29b084a87bf005bf899f9a42edc3c6"
            ],
            "version": "==0.14"
        },
        "flake8": {
            "hashes": [
                "sha256:7253265f7abd8b313e3892944044a365e3f4ac3fcdcfb4298f55ee9ddf188ba0",
                "sha256:c7841163e2b576d435799169b78703ad6ac1bbb0f199994fc05f700b2a90ea37"
            ],
            "version": "==3.5.0"
        },
        "future": {
            "hashes": [
                "sha256:e39ced1ab767b5936646cedba8bcce582398233d6a627067d4c6a454c90cfedb"
            ],
            "version": "==0.16.0"
        },
        "idna": {
            "hashes": [
                "sha256:156a6814fb5ac1fc6850fb002e0852d56c0c8d2531923a51032d1b70760e186e",
                "sha256:684a38a6f903c1d71d6d5fac066b58d7768af4de2b832e426ec79c30daa94a16"
            ],
            "version": "==2.7"
        },
        "jmespath": {
            "hashes": [
                "sha256:6a81d4c9aa62caf061cb517b4d9ad1dd300374cd4706997aff9cd6aedd61fc64",
                "sha256:f11b4461f425740a1d908e9a3f7365c3d2e569f6ca68a2ff8bc5bcd9676edd63"
            ],
            "version": "==0.9.3"
        },
        "mccabe": {
            "hashes": [
                "sha256:ab8a6258860da4b6677da4bd2fe5dc2c659cff31b3ee4f7f5d64e79735b80d42",
                "sha256:dd8d182285a0fe56bace7f45b5e7d1a6ebcbf524e8f3bd87eb0f125271b8831f"
            ],
            "version": "==0.6.1"
        },
        "more-itertools": {
            "hashes": [
                "sha256:c187a73da93e7a8acc0001572aebc7e3c69daf7bf6881a2cea10650bd4420092",
                "sha256:c476b5d3a34e12d40130bc2f935028b5f636df8f372dc2c1c01dc19681b2039e",
                "sha256:fcbfeaea0be121980e15bc97b3817b5202ca73d0eae185b4550cbfce2a3ebb3d"
            ],
            "version": "==4.3.0"
        },
        "pathspec": {
            "hashes": [
                "sha256:54a5eab895d89f342b52ba2bffe70930ef9f8d96e398cccf530d21fa0516a873"
            ],
            "version": "==0.5.9"
        },
        "pathtools": {
            "hashes": [
                "sha256:7c35c5421a39bb82e58018febd90e3b6e5db34c5443aaaf742b3f33d4655f1c0"
            ],
            "version": "==0.1.2"
        },
        "pkginfo": {
            "hashes": [
                "sha256:5878d542a4b3f237e359926384f1dde4e099c9f5525d236b1840cf704fa8d474",
                "sha256:a39076cb3eb34c333a0dd390b568e9e1e881c7bf2cc0aee12120636816f55aee"
            ],
            "version": "==1.4.2"
        },
        "pluggy": {
            "hashes": [
                "sha256:6e3836e39f4d36ae72840833db137f7b7d35105079aee6ec4a62d9f80d594dd1",
                "sha256:95eb8364a4708392bae89035f45341871286a333f749c3141c20573d2b3876e1"
            ],
            "version": "==0.7.1"
        },
        "py": {
            "hashes": [
                "sha256:06a30435d058473046be836d3fc4f27167fd84c45b99704f2fb5509ef61f9af1",
                "sha256:50402e9d1c9005d759426988a492e0edaadb7f4e68bcddfea586bc7432d009c6"
            ],
            "markers": "python_version != '3.2.*' and python_version != '3.3.*' and python_version != '3.0.*' and python_version != '3.1.*' and python_version >= '2.7'",
            "version": "==1.6.0"
        },
        "pycodestyle": {
            "hashes": [
                "sha256:682256a5b318149ca0d2a9185d365d8864a768a28db66a84a2ea946bcc426766",
                "sha256:6c4245ade1edfad79c3446fadfc96b0de2759662dc29d07d80a6f27ad1ca6ba9"
            ],
            "version": "==2.3.1"
        },
        "pycparser": {
            "hashes": [
                "sha256:a988718abfad80b6b157acce7bf130a30876d27603738ac39f140993246b25b3"
            ],
            "markers": "python_version != '3.1.*' and python_version >= '2.7' and python_version != '3.3.*' and python_version != '3.2.*' and python_version != '3.0.*'",
            "version": "==2.19"
        },
        "pyflakes": {
            "hashes": [
                "sha256:08bd6a50edf8cffa9fa09a463063c425ecaaf10d1eb0335a7e8b1401aef89e6f",
                "sha256:8d616a382f243dbf19b54743f280b80198be0bca3a5396f1d2e1fca6223e8805"
            ],
            "version": "==1.6.0"
        },
        "pygments": {
            "hashes": [
                "sha256:78f3f434bcc5d6ee09020f92ba487f95ba50f1e3ef83ae96b9d5ffa1bab25c5d",
                "sha256:dbae1046def0efb574852fab9e90209b23f556367b5a320c0bcb871c77c3e8cc"
            ],
            "version": "==2.2.0"
        },
        "pytest": {
            "hashes": [
                "sha256:7e258ee50338f4e46957f9e09a0f10fb1c2d05493fa901d113a8dafd0790de4e",
                "sha256:9332147e9af2dcf46cd7ceb14d5acadb6564744ddff1fe8c17f0ce60ece7d9a2"
            ],
            "version": "==3.8.2"
        },
        "pytest-runner": {
            "hashes": [
                "sha256:d23f117be39919f00dd91bffeb4f15e031ec797501b717a245e377aee0f577be",
                "sha256:d987fec1e31287592ffe1cb823a8c613c533db4c6aaca0ee1191dbc91e2fcc61"
            ],
            "version": "==4.2"
        },
        "python-dateutil": {
            "hashes": [
                "sha256:1adb80e7a782c12e52ef9a8182bebeb73f1d7e24e374397af06fb4956c8dc5c0",
                "sha256:e27001de32f627c22380a688bcc43ce83504a7bc5da472209b4c70f02829f0b8"
            ],
            "markers": "python_version >= '2.7'",
            "version": "==2.7.3"
        },
        "pyyaml": {
            "hashes": [
                "sha256:3d7da3009c0f3e783b2c873687652d83b1bbfd5c88e9813fb7e5b03c0dd3108b",
                "sha256:3ef3092145e9b70e3ddd2c7ad59bdd0252a94dfe3949721633e41344de00a6bf",
                "sha256:40c71b8e076d0550b2e6380bada1f1cd1017b882f7e16f09a65be98e017f211a",
                "sha256:558dd60b890ba8fd982e05941927a3911dc409a63dcb8b634feaa0cda69330d3",
                "sha256:a7c28b45d9f99102fa092bb213aa12e0aaf9a6a1f5e395d36166639c1f96c3a1",
                "sha256:aa7dd4a6a427aed7df6fb7f08a580d68d9b118d90310374716ae90b710280af1",
                "sha256:bc558586e6045763782014934bfaf39d48b8ae85a2713117d16c39864085c613",
                "sha256:d46d7982b62e0729ad0175a9bc7e10a566fc07b224d2c79fafb5e032727eaa04",
                "sha256:d5eef459e30b09f5a098b9cea68bebfeb268697f78d647bd255a085371ac7f3f",
                "sha256:e01d3203230e1786cd91ccfdc8f8454c8069c91bee3962ad93b87a4b2860f537",
                "sha256:e170a9e6fcfd19021dd29845af83bb79236068bf5fd4df3327c1be18182b2531"
            ],
            "version": "==3.13"
        },
        "readme-renderer": {
            "hashes": [
                "sha256:237ca8705ffea849870de41101dba41543561da05c0ae45b2f1c547efa9843d2",
                "sha256:f75049a3a7afa57165551e030dd8f9882ebf688b9600535a3f7e23596651875d"
            ],
            "markers": "python_version != '3.0.*' and python_version != '3.2.*' and python_version != '3.1.*' and python_version != '3.3.*' and python_version >= '2.7'",
            "version": "==22.0"
        },
        "requests": {
            "hashes": [
                "sha256:63b52e3c866428a224f97cab011de738c36aec0185aa91cfacd418b5d58911d1",
                "sha256:ec22d826a36ed72a7358ff3fe56cbd4ba69dd7a6718ffd450ff0e9df7a47ce6a"
            ],
            "version": "==2.19.1"
        },
        "requests-toolbelt": {
            "hashes": [
                "sha256:42c9c170abc2cacb78b8ab23ac957945c7716249206f90874651971a4acff237",
                "sha256:f6a531936c6fa4c6cfce1b9c10d5c4f498d16528d2a54a22ca00011205a187b5"
            ],
            "version": "==0.8.0"
        },
        "s3transfer": {
            "hashes": [
                "sha256:90dc18e028989c609146e241ea153250be451e05ecc0c2832565231dacdf59c1",
                "sha256:c7a9ec356982d5e9ab2d4b46391a7d6a950e2b04c472419f5fdec70cc0ada72f"
            ],
            "version": "==0.1.13"
        },
        "six": {
            "hashes": [
                "sha256:70e8a77beed4562e7f14fe23a786b54f6296e34344c23bc42f07b15018ff98e9",
                "sha256:832dc0e10feb1aa2c68dcc57dbb658f1c7e65b9b61af69048abc87a2db00a0eb"
            ],
            "version": "==1.11.0"
        },
        "toml": {
            "hashes": [
                "sha256:229f81c57791a41d65e399fc06bf0848bab550a9dfd5ed66df18ce5f05e73d5c",
                "sha256:235682dd292d5899d361a811df37e04a8828a5b1da3115886b73cf81ebc9100e"
            ],
            "version": "==0.10.0"
        },
        "tox": {
            "hashes": [
                "sha256:7f802b37fffd3b5ef2aab104943fa5dad24bf9564bb7e732e54b8d0cfec2fca0",
                "sha256:cc97859bd7f38aa5b3b8ba55ffe7ee9952e7050faad1aedc0829cd3db2fb61d6"
            ],
            "version": "==3.4.0"
        },
        "tqdm": {
            "hashes": [
                "sha256:18f1818ce951aeb9ea162ae1098b43f583f7d057b34d706f66939353d1208889",
                "sha256:df02c0650160986bac0218bb07952245fc6960d23654648b5d5526ad5a4128c9"
            ],
            "markers": "python_version != '3.0.*' and python_version != '3.1.*' and python_version >= '2.6'",
            "version": "==4.26.0"
        },
        "twine": {
            "hashes": [
                "sha256:7d89bc6acafb31d124e6e5b295ef26ac77030bf098960c2a4c4e058335827c5c",
                "sha256:fad6f1251195f7ddd1460cb76d6ea106c93adb4e56c41e0da79658e56e547d2c"
            ],
            "version": "==1.12.1"
        },
        "urllib3": {
            "hashes": [
                "sha256:a68ac5e15e76e7e5dd2b8f94007233e01effe3e50e8daddf69acfd81cb686baf",
                "sha256:b5725a0bd4ba422ab0e66e89e030c806576753ea3ee08554382c14e685d117b5"
            ],
            "version": "==1.23"
        },
        "virtualenv": {
            "hashes": [
                "sha256:2ce32cd126117ce2c539f0134eb89de91a8413a29baac49cbab3eb50e2026669",
                "sha256:ca07b4c0b54e14a91af9f34d0919790b016923d157afda5efdde55c96718f752"
            ],
            "version": "==16.0.0"
        },
        "watchdog": {
            "hashes": [
                "sha256:965f658d0732de3188211932aeb0bb457587f04f63ab4c1e33eab878e9de961d"
            ],
            "version": "==0.9.0"
        },
        "webencodings": {
            "hashes": [
                "sha256:a0af1213f3c2226497a97e2b3aa01a7e4bee4f403f95be16fc9acd2947514a78",
                "sha256:b36a1c245f2d304965eb4e0a82848379241dc04b865afcc4aab16748587e1923"
            ],
            "version": "==0.5.1"
        },
        "wheel": {
            "hashes": [
                "sha256:9fa1f772f1a2df2bd00ddb4fa57e1cc349301e1facb98fbe62329803a9ff1196",
                "sha256:d215f4520a1ba1851a3c00ba2b4122665cd3d6b0834d2ba2816198b1e3024a0e"
            ],
            "version": "==0.32.1"
        },
        "yamllint": {
            "hashes": [
                "sha256:00a4de4319aac4e242c7e6a917d3e848e6b0eec37ead19bc7a245545588af1b3",
                "sha256:7089cd0db2f3233605e9f0801ccca992adf4915c3660f992452ff49f9bfc1605"
            ],
            "version": "==1.12.0"
        }
    }
}

Also @nealedj 's fix doesn't work for me... ☹️

Ok...maybe it does...I was running tox and and needed to add the line pipenv run pip install pip==18.0 in the commands section:

[tox]
envlist = py36, flake8

[testenv:flake8]
basepython = python
deps = flake8
commands = flake8 .

[testenv]
passenv = AWS_PROFILE
          AWS_DEFAULT_REGION
          AWS_ACCESS_KEY_ID
          AWS_SECRET_ACCESS_KEY
deps =
    pipenv
commands =
    pipenv run pip install pip==18.0
    pipenv install --dev --ignore-pipfile
    pipenv run py.test -v

@pypa pypa deleted a comment from Froskekongen Oct 5, 2018

@techalchemy

This comment has been minimized.

Member

techalchemy commented Oct 5, 2018

You can also fix this by setting the environment variable PIP_SHIMS_BASE_MODULE=pipenv.patched.notpip as a temporary workaround. I will cut a release of all of the involved libraries today including pipenv.

@franknarf8

This comment has been minimized.

franknarf8 commented Oct 5, 2018

And for Windows machines you can use the following workaround :
pipenv run python -m pip install -U pip==18.0

ivanistheone added a commit to learningequality/studio that referenced this issue Oct 5, 2018

Hopefully fix bug with pipenv --> pip interaction
pint pip to version 18.0 to avoid this issue pypa/pipenv#2924

ivanistheone added a commit to learningequality/studio that referenced this issue Oct 5, 2018

Hopefully fix bug with pipenv --> pip interaction
pint pip to version 18.0 to avoid this issue pypa/pipenv#2924

ivanistheone added a commit to learningequality/studio that referenced this issue Oct 5, 2018

Hopefully fix bug with pipenv --> pip interaction
pint pip to version 18.0 to avoid this issue pypa/pipenv#2924

ivanistheone added a commit to learningequality/studio that referenced this issue Oct 5, 2018

Hopefully fix bug with pipenv --> pip interaction
pint pip to version 18.0 to avoid this issue pypa/pipenv#2924

ivanistheone added a commit to learningequality/studio that referenced this issue Oct 5, 2018

Hopefully fix bug with pipenv --> pip interaction
pint pip to version 18.0 to avoid this issue pypa/pipenv#2924

Zoramite added a commit to grow/grow that referenced this issue Oct 9, 2018

@sbruno

This comment has been minimized.

sbruno commented Oct 9, 2018

@StinkyLord123 I had problems going back to pip 18.0 so I hacked the installed pipenv code in order to not be blocked.
I know this is a dirty workaround and not recommended, but if you just need it locally for your development environment it may work.

I edited the _compat.py file in the requirementslib folder, that based on your traceback it should be

"C:\Users\PhilipAbed\AppData\Roaming\Python\Python37\site-packages\pipenv\vendor\requirementslib\_compat.py"

There, I located the line:
_strip_extras = do_import("req.req_install", "_strip_extras")

That is the one that imports incorrectly, and after that, I just copied the code of the function that should be imported:

import re
def _strip_extras(path):
    m = re.match(r'^(.+)(\[[^\]]+\])$', path)
    extras = None
    if m:
        path_no_extras = m.group(1)
        extras = m.group(2)
    else:
        path_no_extras = path

    return path_no_extras, extras

This could be a workaround if you need it for a development environment and not to release anything, until it gets officially fixed.

boustrophedon added a commit to boustrophedon/algorithms_practice that referenced this issue Oct 9, 2018

dmerejkowsky added a commit to TankerHQ/tsrc that referenced this issue Oct 9, 2018

@b3g00d b3g00d referenced this issue Oct 9, 2018

Closed

Add: pipenv #65

migwellian added a commit to improbable-research/keanu that referenced this issue Oct 9, 2018

zerebubuth added a commit to tilezen/tileops that referenced this issue Oct 9, 2018

Temporary hack around pip/pipenv clash
It looks like [Pipenv depended on an underscore-prefixed symbol from Pip which got removed in the latest version](pypa/pipenv#2924). Until a new version of Pipenv is released, looks like the work-around is to hold the version of Pip at 18.0.
@BeyondEvil

This comment has been minimized.

BeyondEvil commented Oct 9, 2018

Workaround doesn't work for me.

I'm using pipenv in a docker image.

Here's what the RUN target looks like with the workaround:

    && pipenv run pip install --upgrade pip==18.0 \
    && pipenv --site-packages install --skip-lock```

And here's the relevant output:

```Collecting PyYAML<=3.13,>=3.10 (from awscli===1.16.21)
  Downloading https://files.pythonhosted.org/packages/9e/a3/1d13970c3f36777c583f136c136f804d70f500168edc1edea6daa7200769/PyYAML-3.13.tar.gz (270kB)
Collecting certifi (from pipenv===2018.7.1)
  Downloading https://files.pythonhosted.org/packages/df/f7/04fee6ac349e915b82171f8e23cee63644d83663b34c539f7a09aed18f9e/certifi-2018.8.24-py2.py3-none-any.whl (147kB)
Collecting virtualenv (from pipenv===2018.7.1)
  Downloading https://files.pythonhosted.org/packages/b6/30/96a02b2287098b23b875bc8c2f58071c35d2efe84f747b64d523721dc2b5/virtualenv-16.0.0-py2.py3-none-any.whl (1.9MB)
Collecting virtualenv-clone>=0.2.5 (from pipenv===2018.7.1)
  Downloading https://files.pythonhosted.org/packages/6d/c2/dccb5ccf599e0c5d1eea6acbd058af7a71384f9740179db67a9182a24798/virtualenv_clone-0.3.0-py2.py3-none-any.whl
Requirement already satisfied, skipping upgrade: setuptools>=36.2.1 in /usr/local/lib/python3.7/site-packages (from pipenv===2018.7.1) (40.4.3)
Collecting python-dateutil<3.0.0,>=2.1; python_version >= "2.7" (from botocore==1.12.11->awscli===1.16.21)
  Downloading https://files.pythonhosted.org/packages/cf/f5/af2b09c957ace60dcfac112b669c45c8c97e32f94aa8b56da4c6d1682825/python_dateutil-2.7.3-py2.py3-none-any.whl (211kB)
Collecting urllib3<1.24,>=1.20 (from botocore==1.12.11->awscli===1.16.21)
  Downloading https://files.pythonhosted.org/packages/bd/c9/6fdd990019071a4a32a5e7cb78a1d92c53851ef4f56f62a3486e6a7d8ffb/urllib3-1.23-py2.py3-none-any.whl (133kB)
Collecting jmespath<1.0.0,>=0.7.1 (from botocore==1.12.11->awscli===1.16.21)
  Downloading https://files.pythonhosted.org/packages/b7/31/05c8d001f7f87f0f07289a5fc0fc3832e9a57f2dbd4d3b0fee70e0d51365/jmespath-0.9.3-py2.py3-none-any.whl
Collecting pyasn1>=0.1.3 (from rsa<=3.5.0,>=3.1.2->awscli===1.16.21)
  Downloading https://files.pythonhosted.org/packages/d1/a1/7790cc85db38daa874f6a2e6308131b9953feb1367f2ae2d1123bb93a9f5/pyasn1-0.4.4-py2.py3-none-any.whl (72kB)
Collecting six>=1.5 (from python-dateutil<3.0.0,>=2.1; python_version >= "2.7"->botocore==1.12.11->awscli===1.16.21)
  Downloading https://files.pythonhosted.org/packages/67/4b/141a581104b1f6397bfa78ac9d43d8ad29a7ca43ea90a2d863fe3056e86a/six-1.11.0-py2.py3-none-any.whl
Building wheels for collected packages: PyYAML
  Running setup.py bdist_wheel for PyYAML: started
  Running setup.py bdist_wheel for PyYAML: finished with status 'done'
  Stored in directory: /root/.cache/pip/wheels/ad/da/0c/74eb680767247273e2cf2723482cb9c924fe70af57c334513f
Successfully built PyYAML
Installing collected packages: six, python-dateutil, urllib3, docutils, jmespath, botocore, s3transfer, pyasn1, rsa, colorama, PyYAML, awscli, certifi, virtualenv, virtualenv-clone, pipenv
Successfully installed PyYAML-3.13 awscli-1.16.21 botocore-1.12.11 certifi-2018.8.24 colorama-0.3.9 docutils-0.14 jmespath-0.9.3 pipenv-2018.7.1 pyasn1-0.4.4 python-dateutil-2.7.3 rsa-3.4.2 s3transfer-0.1.13 six-1.11.0 urllib3-1.23 virtualenv-16.0.0 virtualenv-clone-0.3.0
Removing intermediate container 3510df0aee94
 ---> d679fad77207
Step 3/10 : ARG APP_DIR=/app/dpo-automation/
 ---> Running in 9e7d6ed45d46
Removing intermediate container 9e7d6ed45d46
 ---> b12adce64976
Step 4/10 : COPY ./Pipfile ${APP_DIR}
 ---> 32f53411f8f7
Step 5/10 : ENV PATH="/root/.local/bin:${PATH}"
 ---> Running in 244eecc7ab46
Removing intermediate container 244eecc7ab46
 ---> c1852122736a
Step 6/10 : RUN cd ${APP_DIR}     && pipenv run pip install --upgrade pip==18.0     && pipenv --site-packages install --skip-lock
 ---> Running in 0a9fb979bfa5
Creating a virtualenv for this project...
Pipfile: /app/dpo-automation/Pipfile
Using /usr/local/bin/python (3.7.0) to create virtualenv...
Already using interpreter /usr/local/bin/python
Using base prefix '/usr/local'
/usr/local/lib/python3.7/site-packages/virtualenv.py:1041: DeprecationWarning: the imp module is deprecated in favour of importlib; see the module's documentation for alternative uses
  import imp
New python executable in /root/.local/share/virtualenvs/dpo-automation-b0iFxfPY/bin/python
Installing setuptools, pip, wheel...done.
Setting project for dpo-automation-b0iFxfPY to /app/dpo-automation
Virtualenv location: /root/.local/share/virtualenvs/dpo-automation-b0iFxfPY
Collecting pip==18.0
  Downloading https://files.pythonhosted.org/packages/5f/25/e52d3f31441505a5f3af41213346e5b6c221c9e086a166f3703d2ddaf940/pip-18.0-py2.py3-none-any.whl (1.3MB)
Installing collected packages: pip
  Found existing installation: pip 18.1
    Uninstalling pip-18.1:
      Successfully uninstalled pip-18.1
Successfully installed pip-18.0
Virtualenv already exists!
Removing existing virtualenv...
Creating a virtualenv for this project...
Pipfile: /app/dpo-automation/Pipfile
Using /usr/local/bin/python (3.7.0) to create virtualenv...
Already using interpreter /usr/local/bin/python
Using base prefix '/usr/local'
/usr/local/lib/python3.7/site-packages/virtualenv.py:1041: DeprecationWarning: the imp module is deprecated in favour of importlib; see the module's documentation for alternative uses
  import imp
New python executable in /root/.local/share/virtualenvs/dpo-automation-b0iFxfPY/bin/python
Installing setuptools, pip, wheel...done.
Setting project for dpo-automation-b0iFxfPY to /app/dpo-automation
Making site-packages available...
Virtualenv location: /root/.local/share/virtualenvs/dpo-automation-b0iFxfPY
Installing dependencies from Pipfile...
Traceback (most recent call last):
  File "/usr/local/bin/pipenv", line 11, in <module>
    sys.exit(cli())
  File "/usr/local/lib/python3.7/site-packages/pipenv/vendor/click/core.py", line 722, in __call__
    return self.main(*args, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/pipenv/vendor/click/core.py", line 697, in main
    rv = self.invoke(ctx)
  File "/usr/local/lib/python3.7/site-packages/pipenv/vendor/click/core.py", line 1066, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/usr/local/lib/python3.7/site-packages/pipenv/vendor/click/core.py", line 895, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/usr/local/lib/python3.7/site-packages/pipenv/vendor/click/core.py", line 535, in invoke
    return callback(*args, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/pipenv/cli.py", line 435, in install
    selective_upgrade=selective_upgrade,
  File "/usr/local/lib/python3.7/site-packages/pipenv/core.py", line 1943, in do_install
    pypi_mirror=pypi_mirror,
  File "/usr/local/lib/python3.7/site-packages/pipenv/core.py", line 1322, in do_init
    pypi_mirror=pypi_mirror,
  File "/usr/local/lib/python3.7/site-packages/pipenv/core.py", line 807, in do_install_dependencies
    pypi_mirror=pypi_mirror,
  File "/usr/local/lib/python3.7/site-packages/pipenv/core.py", line 1375, in pip_install
    package_name.split('--hash')[0].split('--trusted-host')[0]
  File "/usr/local/lib/python3.7/site-packages/pipenv/vendor/requirementslib/models/requirements.py", line 704, in from_line
    line, extras = _strip_extras(line)
TypeError: 'module' object is not callable
The command '/bin/sh -c cd ${APP_DIR}     && pipenv run pip install --upgrade pip==18.0     && pipenv --site-packages install --skip-lock' returned a non-zero code: 1

What I believe to be the problem are these lines:

Virtualenv already exists!
Removing existing virtualenv...
Creating a virtualenv for this project...
@andrii-rubtsov

This comment has been minimized.

andrii-rubtsov commented Oct 10, 2018

@BeyondEvil Try RUN pip install pip==18.0 before RUN pip install.

@jayprakashdutta

This comment has been minimized.

jayprakashdutta commented Oct 10, 2018

File "/usr/local/lib/python3.6/dist-packages/pipenv/vendor/requirementslib/_compat.py", line 33, in do_import
_tmp = importlib.import_module(internal)
File "/usr/lib/python3.6/importlib/init.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "", line 994, in _gcd_import
File "", line 971, in _find_and_load
File "", line 953, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'pip._internal.basecommand'

During handling of the above exception, another exception occurred

davehunt added a commit to davehunt/servicebook-web that referenced this issue Oct 10, 2018

@whg517

This comment has been minimized.

whg517 commented Oct 11, 2018

https://pipenv.readthedocs.io/en/latest/advanced/#tox-automation-project

I also ran into this problem when I used pipenv on tox as a reference. I just installed dependent packages and haven't started doing anything else yet

tox.ini

[tox]
envlist = pipenv_test

[testenv:pipenv_test]
deps =
    pipenv
commands =
    pipenv install --dev
$ tox --recreate
GLOB sdist-make: D:\workspace\development\python\pytest\mysite\setup.py
pipenv_test create: D:\workspace\development\python\pytest\mysite\.tox\pipenv_test
pipenv_test installdeps: pipenv
pipenv_test inst: D:\workspace\development\python\pytest\mysite\.tox\dist\mysite-0.1.zip
pipenv_test installed: certifi==2018.8.24,mysite==0.1,pipenv==2018.7.1,virtualenv==16.0.0,virtualenv-clone==0.3.0
pipenv_test run-test-pre: PYTHONHASHSEED='272'
pipenv_test runtests: commands[0] | pipenv install --dev
Courtesy Notice: Pipenv found itself running within a virtual environment, so it will automatically use that environment, instead of creating its own for any project. You can set PIPENV_IGNORE_VIRTUALENVS=1 to force pipenv to ignore that environment and create its own instead.
Pipfile.lock (e7cb29) out of date, updating to (75f29b)...
Locking [dev-packages] dependencies...
ython\pytest\mysite\.tox\pipenv_test\lib\site-packages\pipenv\utils.py", line 402, in resolve_deps
    req_dir=req_dir
  File "d:\workspace\development\python\pytest\mysite\.tox\pipenv_test\lib\site-packages\pipenv\utils.py", line 250, in actually_resolve_deps
    req = Requirement.from_line(dep)
  File "d:\workspace\development\python\pytest\mysite\.tox\pipenv_test\lib\site-packages\pipenv\vendor\requirementslib\models\requirements.py", line 704, in from_line
    line, extras = _strip_extras(line)
TypeError: 'module' object is not callable

ERROR: InvocationError for command 'D:\\workspace\\development\\python\\pytest\\mysite\\.tox\\pipenv_test\\Scripts\\pipenv.EXE install --dev' (exited with code 1)
___________________________________ summary ___________________________________
ERROR:   pipenv_test: commands failed

Is there any way to just solve it?
thanks

migwellian added a commit to improbable-research/keanu that referenced this issue Oct 11, 2018

@Ativerc

This comment has been minimized.

Ativerc commented Oct 13, 2018

I'm getting the same errors on python3.5 and pip v18.0.0. Any ideas what i can do now?

 pipenv install requests
Installing requests...
Requirement already satisfied: requests in /home/avc/.local/share/virtualenvs/pipenv-test2-IuNGx9gy/lib/python3.5/site-packages (2.19.1)
Requirement already satisfied: urllib3<1.24,>=1.21.1 in /home/avc/.local/share/virtualenvs/pipenv-test2-IuNGx9gy/lib/python3.5/site-packages (from requests) (1.23)
Requirement already satisfied: chardet<3.1.0,>=3.0.2 in /home/avc/.local/share/virtualenvs/pipenv-test2-IuNGx9gy/lib/python3.5/site-packages (from requests) (3.0.4)
Requirement already satisfied: idna<2.8,>=2.5 in /home/avc/.local/share/virtualenvs/pipenv-test2-IuNGx9gy/lib/python3.5/site-packages (from requests) (2.7)
Requirement already satisfied: certifi>=2017.4.17 in /home/avc/.local/share/virtualenvs/pipenv-test2-IuNGx9gy/lib/python3.5/site-packages (from requests) (2018.8.24)

Adding requests to Pipfile's [packages]...
Pipfile.lock not found, creating...
Locking [dev-packages] dependencies...
Locking [packages] dependencies...
es/pipenv/utils.py", line 402, in resolve_deps
    req_dir=req_dir
  File "/home/avc/.local/lib/python3.5/site-packages/pipenv/utils.py", line 250, in actually_resolve_deps
    req = Requirement.from_line(dep)
  File "/home/avc/.local/lib/python3.5/site-packages/pipenv/vendor/requirementslib/models/requirements.py", line 704, in from_line
    line, extras = _strip_extras(line)
TypeError: 'module' object is not callable
@uranusjr

This comment has been minimized.

Member

uranusjr commented Oct 13, 2018

I suggest actually reading the thread. The workaround is posted quite early in the discussion, and is confirmed to work by multiple people.

@Ativerc

This comment has been minimized.

Ativerc commented Oct 13, 2018

I just installed pipenv around 5 hours ago. I fixed a lot of errors both hardware and software , in the past 24 hours to get my laptop working to get there. After skimming this thread for the I found the first workaround #2924 (comment) but it had a dozen 😆 emojis so I thought maybe this guy is having a joke. Just incase he wasn't lying I needed to corroborate his claims. I could have asked for help then as well. But no, I googled. And I found this, https://stackoverflow.com/a/52706841 where the author states You need to downgrade pip — both inside and outside the pipenv environment — to version 18.0 in order for pipenv to work. with 9 upvotes.

So I downgraded to pip v18.0.0 and when I still had the same errors I posted here. And once I had posted I found others with pip/pipenv errors with pip v18.0 (18 instances of 18.0 on this page excluding this comment.)

All I wanted was some help. Yes, I could have read through every one of the 100+ comments/references here before asking for help and I guess that is a mistake.

Over the years, I have learnt that I shouldn't use/apply any unknown command without knowing what it does. What if a command(s) given in this thread broke my python setup the odd way? Should I use the dirty workaround and not recommended workaround given somewhere in the thread? What if my python installation resembled this https://xkcd.com/1987/ due to the usage of unknown commands?

Looking at the first comment I see it has sections Issue description, Expected result, Actual result, Steps to replicate and also a part which asks for others' help with pipenv --support | xclip, which are all, I assume to be a part of a template for reporting new issues. Could it be so difficult to have a stickied comment saying Current Workarounds (which could only be edited by mods here), which listed pip versions against the current known workarounds for that issue?

I suggest actually reading the thread. The workaround is posted quiet early in the discussion, and is confirmed to work by multiple people.

Instead of taking that two-sentence potshot at me, you could have just given me a link and tagged me. You assumed I was lazy, not working on my problem and worse yet, you knew exactly which comment would have helped me and instead of linking me to it, you actively chose to make me look for it. What is the reason for this animosity?

That's coming from a guy who wrote here: #2924 (comment)

Please try to avoid non-constructive messages. We understand this is frustrating, but interrogation doesn't help. If you feel we need to improve, consider offering help instead of shouting at the sideline. "We" (whoever you are referring to) are always short of resources, and would gladly use your help.

So many programmers say "Never be afraid to ask a question..... after you have researched or worked on it a bit" but what can a person do when the admins of a project are so fervent in their hatred for just someone asking a question. Anyone asking questions should just curl up and die, right?

I tried and I am just tired and I haven't felt this low in weeks. I will avoid participating in this thread any further.

@stefan-it

This comment has been minimized.

stefan-it commented Oct 13, 2018

@Ativerc If 18.0 does not work for you, please try the following:

#2924 (comment)

It then worked for me :)

@techalchemy

This comment has been minimized.

Member

techalchemy commented Oct 13, 2018

Also you can upgrade pipenv to the latest version. If you have further problems please open a new issue. I’m going to lock this thread for now to prevent continued discussion as this is resolved.

To summarize for people on earlier releases than 2018.10.9: you can pin pip inside the virtualenv using pipenv run python -m pip install pip==18.0 or you can set the environment variable PIP_SHIMS_BASE_MODULE=pipenv.patched.notpip

Others should not be seeing this issue. Thanks for your patience all and apologies for the issues!

@pypa pypa locked as resolved and limited conversation to collaborators Oct 13, 2018

@techalchemy

This comment has been minimized.

Member

techalchemy commented Oct 13, 2018

One follow up: @Ativerc I am sorry for your negative experience. We are a two person team triaging literally thousands of issues, so we tend to get a bit frustrated when there are solutions posted and it seems like we are just answering a repeat of the original question. We aren’t always that organized with information and we definitely can improve there, but I genuinely apologize for leaving you feeling a bit deflated here. We are likely going to try to add some folks if possible to help out with this

GilbertoCS added a commit to GilbertoCS/pipenv that referenced this issue Oct 15, 2018

Add news fragments and final patch for all fixes
- Fixes pypa#2499
- Fixes pypa#2529
- Fixes pypa#2589
- Fixes pypa#2666
- Fixes pypa#2767
- Fixes pypa#2785
- Fixes pypa#2795
- Fixes pypa#2801
- Fixes pypa#2802
- Fixes pypa#2824
- Fixes pypa#2862
- Fixes pypa#2867
- Fixes pypa#2879
- Fixes pypa#2880
- Fixes pypa#2894
- Fixes pypa#2902
- Fixes pypa#2924

Signed-off-by: Dan Ryan <dan@danryan.co>
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.